From 957e295a1242dc372654797e853a7c3f1855328d Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 21 Nov 2016 08:42:12 -0800
Subject: [PATCH] Fix another CANNOT_DUMP problem

Reported by Robert Pluim in:
http://lists.gnu.org/archive/html/emacs-devel/2016-11/msg00468.html
* src/emacs.c (might_dump) [CANNOT_DUMP]: Move enum decl from here ...
* src/lisp.h: ... to here.
---
 src/emacs.c | 4 +---
 src/lisp.h  | 4 +++-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/emacs.c b/src/emacs.c
index 48df533..f633f09 100644
--- a/src/emacs.c
+++ b/src/emacs.c
@@ -130,9 +130,7 @@ Lisp_Object Vlibrary_cache;
    on subsequent starts.  */
 bool initialized;
 
-#ifdef CANNOT_DUMP
-enum { might_dump = false };
-#else
+#ifndef CANNOT_DUMP
 /* Set to true if this instance of Emacs might dump.  */
 # ifndef DOUG_LEA_MALLOC
 static
diff --git a/src/lisp.h b/src/lisp.h
index e087828..b4ddad1 100644
--- a/src/lisp.h
+++ b/src/lisp.h
@@ -603,8 +603,10 @@ extern void char_table_set (Lisp_Object, int, Lisp_Object);
 extern _Noreturn Lisp_Object wrong_type_argument (Lisp_Object, Lisp_Object);
 extern _Noreturn void wrong_choice (Lisp_Object, Lisp_Object);
 
+#ifdef CANNOT_DUMP
+enum { might_dump = false };
+#elif defined DOUG_LEA_MALLOC
 /* Defined in emacs.c.  */
-#ifdef DOUG_LEA_MALLOC
 extern bool might_dump;
 #endif
 /* True means Emacs has already been initialized.
-- 
2.7.4

